Is Scrivener 2 incompatible with MacOS Catalina?

I just installed Catalina and I’m being prompted to update Scrivener. Is there any word about Scrivener 2 being compatible with Catalina? Can’t find anything on the web other than references to Scrivener 3.

That’s right, Scrivener 2 is incompatible with Catalina. Catalina requires 64 bit apps, and Scrivener 2 is 32 bit. Sorry to be the bearer of bad news,